Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.arrangeBlock
Class UniformProbability

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
              de.grogra.blocks.arrangeBlock.UniformProbability

All Implemented Interfaces:
  ProbabilityArrangeMethod, Manageable, Shareable

    public class UniformProbability

extends ShareableProbabilityArrangeBase
implements ProbabilityArrangeMethod

Nested Class Summary
`static class` | `UniformProbability.Type`

Field Summary
`static UniformProbability.Type` | `$TYPE`
`static SCOType.Field` | `max$FIELD`
`static SCOType.Field` | `min$FIELD`

Fields inherited from class de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
`probabilityValues, source`

Constructor Summary
`UniformProbability()`

Method Summary
`void` | `calculate()`
`ManageableType` | `getManageableType()`
`float` | `getMax()`
`float` | `getMin()`
`void` | `setMax(float value)`
`void` | `setMin(float value)`

Methods inherited from class de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
`getProbabilityValues`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.blocks.arrangeBlock.ProbabilityArrangeMethod
`getProbabilityValues`

Field Detail

### $TYPE

    public static final UniformProbability.Type $TYPE

### max$FIELD

    public static final SCOType.Field max$FIELD

### min$FIELD

    public static final SCOType.Field min$FIELD

Constructor Detail

### UniformProbability

    public UniformProbability()

Method Detail

### calculate

    public void calculate()

  Specified by:
    `calculate` in class `ShareableProbabilityArrangeBase`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getMax

    public float getMax()

### getMin

    public float getMin()

### setMax

    public void setMax(float value)

### setMin

    public void setMin(float value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD